@echo off
setlocal enableextensions & prompt @
for %%x in (2.4 2.5 2.6) do if "%~1" == "%%x" goto USER
goto HELP
:USER --------------------------------------------------------------
::: Find [home]/.freeciv/2.x or fail :::::::::::::::::::::::::::::::
set USER=%APPDATA%\.freeciv\%~1
set NEED=%USER%
if not exist "%USER%\*" goto NEED
::: Find [prog]/freeciv-2.x.* or fail ::::::::::::::::::::::::::::::
set PROG=%ProgramFiles(x86)%
set NEED=%%ProgramFiles%%
if     "%PROG%" == ""    set PROG=%ProgramFiles%
if     "%PROG%" == ""   goto NEED
set INST=
set FCIV=gtk3
set NEED=%PROG%\Freeciv-%~1.*-%FCIV%
for /D %%x in ("%NEED%") do set INST=%%x
if not "%INST%" == ""   goto OPTS
set FCIV=gtk2
set NEED=%PROG%\Freeciv-%~1.*-%FCIV%
for /D %%x in ("%NEED%") do set INST=%%x
if     "%INST%" == ""   goto NEED
:OPTS --------------------------------------------------------------
::: Find [home]/.freeciv/2.x/civtest.log for --log :::::::::::::::::
set OPTS=%USER%\%~n0.log
if     exist "%OPTS%"    del /P "%OPTS%"
if     exist "%OPTS%"    set OPTS=
if not "%OPTS%" == ""    set OPTS=--log "%OPTS%"
::: Skip 1st argument 2.x for the options ::::::::::::::::::::::::::
for /F "usebackq tokens=1*" %%x in ('%*') do set OPTS=%OPTS% %%y
set FREECIV_PATH=.;%INST%\data;%USER%
set FCIV=%INST%\freeciv-%FCIV%.exe
set NEED=%FCIV%
if not exist "%FCIV%"   goto NEED
::: Show constructed FREECIV_PATH and run ::::::::::::::::::::::::::
echo FREECIV_PATH=%FREECIV_PATH%
echo LANG=%LANG%
echo start "%FCIV%" %OPTS%
start "%~n0" /D . "%FCIV%" %OPTS%
goto WAIT
:NEED --------------------------------------------------------------
echo/
echo Error: %0 found no "%NEED%"
:HELP --------------------------------------------------------------
echo Usage: %0 2.4^|2.5^|2.6 [opts]
echo/
echo For quick command line experiments with different
echo Windows Freeciv gtk? clients.  Starts an installed
echo Freeciv-gtk?.exe 2.x.y with a FREECIV_PATH for the
echo corresponding ~\.freeciv\2.x below %%APPDATA%%:
set APPDATA
echo/
echo CAVEATS: The freshest 2.x.y[*] wins; gtk3 beats 2.
echo This script uses --log ~\.freeciv\2.x\%~n0.log.
echo The default stderr.txt for option --help would end
echo up in the legacy %%LOCALAPPDATA%%\VirtualStore:
set LOCALAPPDATA
:WAIT --------------------------------------------------------------
set NEED="%CMDCMDLINE%"
for /F "usebackq tokens=2" %%c in ('%NEED%') do if %%c == /c pause
